Bug 41194 - Check the return value from ap_run_create_connection
Summary: Check the return value from ap_run_create_connection
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mpm_event (show other bugs)
Version: 2.2-HEAD
Hardware: Other other
: P2 minor (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk, PatchAvailable
Depends on:
Blocks:
 
Reported: 2006-12-17 11:22 UTC by Davi Arnaut
Modified: 2012-02-26 16:42 UTC (History)
0 users



Attachments
Check the return value from create_connection hook (728 bytes, patch)
2006-12-17 11:22 UTC, Davi Arnaut
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Davi Arnaut 2006-12-17 11:22:11 UTC
Check the return value from ap_run_create_connection, it might be NULL which indicates
a failure.
Comment 1 Davi Arnaut 2006-12-17 11:22:49 UTC
Created attachment 19273 [details]
Check the return value from create_connection hook
Comment 2 Stefan Fritsch 2011-10-09 22:42:07 UTC
r1180737
Comment 3 Stefan Fritsch 2012-02-26 16:42:22 UTC
fixed in 2.4.1